Bug 204706 - Failure to start gconf without dbus-x11 installed
Failure to start gconf without dbus-x11 installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 18:15 EDT by Lubomir Bulej
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.18.0-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 11:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Bulej 2006-08-30 18:15:52 EDT
Description of problem:

If the dbus-x11 package is not installed, the gconf daemon cannot be started
when logging into gnome desktop. Without gconf, there are no user preferences.


Version-Release number of selected component (if applicable):

gnome-session-2.15.92-1.fc6, however, I'm not sure if gnome-session is the right
package to required dbus-x11

How reproducible:
always
Comment 1 Ray Strode [halfline] 2007-03-28 16:15:03 EDT
This doesn't seem right to me.

1) gconfd-2 doesn't use dbus
2) it gets started automatically by libgconf--it doesn't need to be started manually

I'm guessing this is a gnome-settings-daemon problem.  moving to control-center
Comment 2 Bastien Nocera 2007-03-29 09:29:15 EDT
No dbus-x11, so no dbus-launch, so no session bus, so no gnome-settings-daemon
(as it uses the session bus).

The control-center needs to depend on dbus-x11.
Comment 3 Bastien Nocera 2007-05-01 11:18:31 EDT
Fixed in control-center-2.18.0-16

Note You need to log in before you can comment on or make changes to this bug.